Page MenuHomePhabricator

User icon does not show on watchlist page
Closed, ResolvedPublic

Description

When visiting http://localhost:8888/w/index.php?title=Special:Watchlist&watchlistview=feed&filter=all you'll see that no user icon appears next to the username of the editor despite the icon HTML being there. This leaves an empty gap which is confusing to the reader.

Requirements

This tasks requires that MediaWiki core and MobileFrontend extension are installed and properly setup.

Problem

User icon is not being rendered before username when displaying list of edits by users, but rather, there is a space before the username which is suppose to be a user icon.

Outcome

The result of this problem should be a user icon to display beside(to the left) each username as expected when listing the edits by users (watchlist).

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptSep 27 2016, 10:32 PM

@ovasileva Any reason this was moved from Sprint +1 to Triage? Also needs a priority. :)

ovasileva triaged this task as Normal priority.Oct 12 2016, 6:12 PM
ovasileva moved this task from To Triage to Upcoming on the Readers-Web-Backlog board.

@D3r1ck01: Can you please improve the task description? For example, I'd assume that this task requires to have the extension MobileFrontend installed, and lacks a description of the expected outcome of a patch. Thanks!

@Aklapper, will update the tasks description right away.

D3r1ck01 updated the task description. (Show Details)Nov 7 2016, 9:57 PM

Change 327361 had a related patch set uploaded (by MtDu):
Show the user icon on watchlist page

https://gerrit.wikimedia.org/r/327361

MtDu claimed this task.Dec 14 2016, 9:36 PM
MtDu added a subscriber: MtDu.

Please take a look at the patch when you get a chance.
Thanks!

Please @MtDu, do well to submit your work for review on the GCI site. Its not yet submitted for approval :)

Please take a look at the patch when you get a chance.
Thanks!

The PS is ok. @Jdlrobson, will do the final review and possibly merge :).

Change 327361 merged by jenkins-bot:
Show the user icon on watchlist page

https://gerrit.wikimedia.org/r/327361

MtDu added a comment.Dec 14 2016, 11:41 PM

Should we close as resolved or do we need to wait? @Jdlrobson

MtDu added a comment.Dec 15 2016, 12:40 AM

@Jdlrobson For future reference, what is the login I can use to play around with things? I usually just use vagrant to test locally.

I'm not sure I understand. You can create an account on https://en.m.wikipedia.beta.wmflabs.org if you need to test there.